Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/servicecatalog/getapi-v-1-catalogue-items-item-id-fields

# Get catalogue item fields

GET `https://{tenant}.atomicwork.com/api/v1/catalogue-items/{item_id}/fields`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### item\_id (path, integer, required)

The Catalogue item id

## Query Parameters

#### show\_editable\_only (query, boolean)

Show only editable fields for field management

#### search\_key (query, string)

Search key for field name

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/catalogue-items/{item_id}/fields' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/catalogue-items/{item_id}/fields', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/catalogue-items/{item_id}/fields',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
